Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.notification.remote
Class NotificationProducerClient

    java.lang.Object
      org.apache.muse.core.AbstractResourceClient
          org.apache.muse.ws.resource.remote.WsResourceClient
              org.apache.muse.ws.notification.remote.NotificationProducerClient

All Implemented Interfaces:
  SoapMonitor

public class NotificationProducerClient
extends WsResourceClient

NotificationProducerClient is a web services client for resources that implement the WS-N NotificationProducer port type. It adds the subscribe() and getCurrentMessage() methods to the base WS-RF interfaces.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`NotificationProducerClient(EndpointReference destination)`
`NotificationProducerClient(EndpointReference destination, EndpointReference source)`
`NotificationProducerClient(EndpointReference destination, EndpointReference source, Environment environment)`
`NotificationProducerClient(EndpointReference destination, EndpointReference source, SoapClient soapClient)`

Method Summary
`NotificationMessage` | `getCurrentMessage(QName topicPath)`
`SubscriptionClient` | `subscribe(EndpointReference consumer, Filter filter, java.util.Date termination)`

Methods inherited from class org.apache.muse.ws.resource.remote.WsResourceClient
`deleteResourceProperty, destroy, getMultipleResourceProperties, getPropertyAsObject, getResourceProperty, getResourcePropertyDocument, insertResourceProperty, putResourcePropertyDocument, queryResourceProperties, setResourceProperties, setTerminationTime, updateResourceProperty`

Methods inherited from class org.apache.muse.core.AbstractResourceClient
`getDestination, getEndpointReference, getSoapClient, getSoapMonitorPort, getSource, getTraceWriter, invoke, invoke, invoke, invoke, isUsingSoapMonitor, isUsingTrace, setTrace, setTraceWriter, startSoapMonitor, stopSoapMonitor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotificationProducerClient

    public NotificationProducerClient(EndpointReference destination)

### NotificationProducerClient

    public NotificationProducerClient(EndpointReference destination,
                                      EndpointReference source)

### NotificationProducerClient

    public NotificationProducerClient(EndpointReference destination,
                                      EndpointReference source,
                                      Environment environment)

### NotificationProducerClient

    public NotificationProducerClient(EndpointReference destination,
                                      EndpointReference source,
                                      SoapClient soapClient)

Method Detail

### getCurrentMessage

    public NotificationMessage getCurrentMessage(QName topicPath)
                                          throws SoapFault

  Throws:
    `SoapFault`

### subscribe

    public SubscriptionClient subscribe(EndpointReference consumer,
                                        Filter filter,
                                        java.util.Date termination)
                                 throws SoapFault

  Throws:
    `SoapFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD